/******************************
VARIABLES
Please keep in alphabetical order per section
  (unless the cascade and order of operations
  requires otherwise, in which case please 
  leave a note)
******************************/

/* Animations */
$transition-primary: .2s cubic-bezier(0, 0, 0, 1);
/* Colors */
$color-black: #000000;
$color-black333: #333333;
$color-black404040: #404040;
$color-gray: #999999;
$color-gray-dark: #5e5e5e;
$color-gray-light: #aaa;
$color-gray-medium: #dddddd;
$color-gray-extra-light: #e7e7e7;
$color-gray-super-light: #f5f5f5;
/* ^ in-between f2f2f2 and f7f7f7 since we shouldn't have both*/
$color-lt-purple-accent: #3c257b;
$color-orange-background-2020: #d57a2a;
$color-orange-2020: #fa7035;
$color-orange-2020-alt: #DD6531;
$color-purple-dark-2020: #461189;
$color-purple-light-2020: #9b51e0;
$color-purple-light-2020-alt: #8226d9;
$color-primary:#554488;
$color-primary-dark: #4a3b77;
$color-red: #f00f00;
$color-white: #ffffff;
/* Dimensions */
$border-radius-large: 4px;
$container-large-desktop: 1200px;
$grid-gutter-width-close: 20px;
$input-padding: 12px 18px;
$navbar-height: 58px;
$spacing-unit-xxs: 10px;
$spacing-unit-xs: 20px;
$spacing-unit-sm: 40px;
$spacing-unit-md: 60px;
$spacing-unit-lg: 80px;
$spacing-unit-xl: 120px;
$spacing-unit-xxl: 150px;
$breakpoint-md: 768px;
/* Other */
$box-shadow: 0 2px 4px rgba(0, 0, 0, .1);
$button-box-shadow: 0px 4px 4px #00000040;
$slp-box-shadow: 0px 4px 50px rgba(0, 0, 0, 0.08);
$font-family-primary: "Source Sans Pro", sans-serif;

//////////////////////////////
/* TODO: BREAK INTO SEPARATE STYLESHEETS OR REPLACE *///////////////////////////////


$color-accent: #F96424;
$color-accent-alt: #c93d2b;
$color-event-black: #222222;
$color-event-blue-dark: #14125b;
$color-self-managed-accent: #fa7035;

/* Used by navigation */
$color-gray-extra-light-alt: $color-gray-super-light;
$color-transparent-alt-darken: rgba(0, 0, 0, .2);
$color-transparent-white: rgba(255, 255, 255, 0);
$color-transparent-white-alt: rgba(255, 255, 255, .75);
$just-commit-bg: #1c1635;

$border-radius-circle: 1000px;
$container-large-desktop-alt: 1240px;

$color-dark-blue: #241842;
$hero-gradient-light: #48367d;
$hero-gradient: linear-gradient(270deg, $hero-gradient-light 0%, $color-dark-blue 100%);

$color-transparent-alt: rgba(0, 0, 0, .1);
$box-shadow-large: 0 20px 40px $color-transparent-alt;

/* Used by search */
$border-color: #dfdfdf;
$search-border-color: #bcbcbc;
$search-input-font-color: #333;

/* Used by footer */
$color-primary-alt: #6b4fbb;
$color-secondary-alt: #fba225;

/* Used by "try all features free" cta block */
$blog-color-purple: rgb(107, 79, 187);
$blog-color-text: #222;

/* Used by sticky bottom trial cta */
$color-dark: #000;
$color-secondary: #e14329;
$pricing-gray-bg: #fafafa;

/* TABLES, used by topic pages */
$table-cell-padding: 8px !default;
$table-cell-padding-sm: 5px !default;
$table-cell-padding-lg: 20px !default;
$table-bg: transparent !default;
$table-bg-accent: $color-gray-super-light !default;
$table-bg-hover: $color-gray-super-light !default;
$table-bg-active: $table-bg-hover !default;
$table-border-color: $color-gray-medium !default;
$text-muted: $color-gray !default;
$font-size-base: 18px !default;
$line-height-base: 1.5 !default; // 20/14
$line-height-computed: floor(($font-size-base * $line-height-base)) !default; // ~20px
$body-bg: $color-white !default;
$state-success-bg:               #dff0d8 !default;
$state-info-bg:                  #d9edf7 !default;
$state-warning-bg:               #fcf8e3 !default;
$state-danger-bg:                #f2dede !default;
$hr-border: $color-gray-extra-light !default;

//////////////////////////////
/* TODO: FIND OUT WHAT IS USING THESE AND DEPRECATE + REPLACE *///////////////////////////////

//== Modals, used by homepage
$zindex-modal-background: 1040 !default;
$zindex-modal: 1050 !default;
$modal-inner-padding: 15px !default;
$modal-title-padding: 15px !default;
$modal-title-line-height: $line-height-base !default;
$modal-content-bg: #fff !default;
$modal-content-border-color: rgba(0,0,0,.2) !default;
$modal-content-fallback-border-color: #999 !default;
$modal-backdrop-bg: #000 !default;
$modal-backdrop-opacity: .5 !default;
$modal-header-border-color: #e5e5e5 !default;
$modal-footer-border-color: $modal-header-border-color !default;
$modal-lg: 900px !default;
$modal-md: 600px !default;
$modal-sm: 300px !default;

//== Media queries breakpoints, used by unknown

// Extra small screen / phone
$screen-xs:                  480px !default;
$screen-xs-min:              $screen-xs !default;
$screen-phone:               $screen-xs-min !default;

// Small screen / tablet
$screen-sm: 768px !default;
$screen-sm-min: $screen-sm !default;
$screen-tablet: $screen-sm-min !default;

// Medium screen / desktop
$screen-md: 992px !default;
$screen-md-min: $screen-md !default;
$screen-desktop: $screen-md-min !default;

// Large screen / wide desktop
$screen-lg: 1200px !default;
$screen-lg-min: $screen-lg !default;
$screen-lg-desktop: $screen-lg-min !default;

// Provide a maximum
$screen-xs-max: ($screen-sm-min - 1) !default;
$screen-sm-max: ($screen-md-min - 1) !default;
$screen-md-max: ($screen-lg-min - 1) !default;

//== Grid system, used by unknown
$grid-columns: 12 !default;
$grid-gutter-width: 30px !default;
$grid-float-breakpoint: $screen-sm-min !default;
$grid-float-breakpoint-max: ($grid-float-breakpoint - 1) !default;
